Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List

Prev Next
Post
/list/device

Used to get a list of the devices using your application. All devices may be returned or a list of devices matching supplied criteria are returned.

Body parameters
List devices registered since a date
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "create_time",
      ">=",
      "1420070400"
    ]
  ],
  "offset": "0",
  "limit": "50"
}
Get the most recently created device
{
  "apptoken": "YOUR_APPTOKEN",
  "order": "id DESC",
  "offset": "0",
  "limit": "1"
}
object
apptoken
string Required

Your App token

order
Array of string

Order the results in either ascending or descending order based on any of the attributes, eg. ["id ASC", "runtime"] or ["id DESC", "runtime"]

string
select
Array of string

Select what attributes to return, eg. ["id", "active", "addressable", "type"]

string
condition
string (json)

Filter the results based on some criteria, eg. [ ["message_id", ">" , 1] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "code": "200",
  "success": "True",
  "data": [
    {
      "id": "DEVICE_ID",
      "create_time": "1420589115",
      "open_time": "1420589115",
      "token": "f40b0df2aa78349918ae1f837275c9233f524bd09ac18fb3cc174e6e80a134ca",
      "active": "1",
      "addressable": "1",
      "type": "ios",
      "environment": "production",
      "device_id": "9CEFBF8C-9C9F-4242-ADE5-8942FC67806E",
      "device_type": "iPhone",
      "device_model": "iPhone5,2",
      "device_model_name": "iPhone 5",
      "device_os": "2002-08-01T00:00:00Z",
      "name": "Test Device",
      "timezone": "Europe/Dublin",
      "country": "IE",
      "language": "en",
      "carrier_name": "Vodafone",
      "app_version": "2026-01-01T00:00:00Z",
      "lib_version": "i22022015"
    }
  ]
}
Expand All
object
code
integer
Default0
Example200
success
boolean
Defaulttrue
ExampleTrue
data
Array of object
object
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string